<script setup lang="ts">
import PromotionDialog from '@/components/PromotionDialog.vue'
import { usePromotionStore } from '@/stores/promotion'
import { onMounted } from 'vue'

const promotionStore = usePromotionStore()

onMounted(() => {
  promotionStore.getAll()
})
</script>

<template>
  <PromotionDialog />
  <v-data-table
    class="h-100"
    fixed-header
    :headers="promotionStore.headers"
    :items="promotionStore.items"
    style="background-color: rgba(58, 49, 43, 0.923)"
  >
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Promotion Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="promotionStore.openDialog()"> NEW </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.description }}</td>
        <td>{{ item.discount }}</td>
        <td>{{ item.startDate }}</td>
        <td>{{ item.endDate }}</td>
        <td>{{ item.status }}</td>
        <td>
          <v-icon size="small" class="me-2" @click="promotionStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="promotionStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
  </v-data-table>
</template>

<style scoped></style>
